/* @flow */

import React, {Component} from 'react'
import {connect} from 'react-redux'
import {bindActionCreators} from 'redux'

import Render from './request-invite.render'
import * as signupActions from '../../actions/signup'

class RequestInvite extends Component {
  render () {
    return (
      <Render
        name={this.props.name}
        email={this.props.email}
        emailErrorText={this.props.emailErrorText}
        nameErrorText={this.props.nameErrorText}
        onBack={this.props.resetSignup}
        onRequestInvite={this.props.requestInvite}
        waiting={this.props.waiting}/>
    )
  }
}

export default connect(
  state => ({
    emailErrorText: state.signup.emailError,
    nameErrorText: state.signup.nameError,
    waiting: state.signup.waiting
  }),
  dispatch => bindActionCreators(signupActions, dispatch)
)(RequestInvite)
